package core.util;

import java.util.List;

import javax.swing.DefaultListModel;


public class Lists {
	public static <E> void moveUp(List<E> list, int index){
		if (index>0) {
			move(list, index, -1);
		}
	}
	
	public static <E> void moveUp(DefaultListModel<E> list, int index){
		if (index>0) {
			move(list, index, -1);
		}
	}
	
	public static <E> void moveDown(List<E> list, int index){
		if (index<list.size()-1) {
			move(list, index, 1);
		}
	}
	
	public static <E> void moveDown(DefaultListModel<E> list, int index){
		if (index<list.size()-1) {
			move(list, index, 1);
		}
	}
	
	private static <E > void move(List<E> list,int index,int direction) {
		E elem=list.get(index);
		list.set(index+direction, list.get(index));
		list.set(index, elem);
	}
	
	private static <E > void move(DefaultListModel<E> list,int index,int direction) {
		E elem=list.getElementAt(index);
		list.setElementAt(list.getElementAt(index), index+direction);
		list.set(index, elem);
	}
}
