package gui.settings.dialog.group;

import gui.layout.percent2.APConstraint;
import gui.layout.percent2.AnchorPercentLayout;
import gui.resource.ResourceManager;
import gui.settings.dialog.component.SpinnerSettingsComponent;
import gui.settings.dialog.page.NetworkSettingsPage;

public class TriesSettingsGroup extends SettingsComponentGroup {

	private static final long serialVersionUID = 3757619891242365856L;

	public TriesSettingsGroup(ResourceManager rm) {
		super(rm.getLocalizedString(NetworkSettingsPage.LOCALE_TRIES), rm);
	}

	@Override
	protected void createSettingsComponents(ResourceManager rm) {
		setLayout(new AnchorPercentLayout());
		addSettingsComponent(new SpinnerSettingsComponent(NetworkSettingsPage.SETTING_TRIES),APConstraint.constraint().width(100));
	}
	
}